#include <Wire.h>
 
//Direccion I2C de la IMU
#define MPU 0x68
 
//MPU-6050 da los valores en enteros de 16 bits
int GiX, GiY, GiZ;
int iGiX, iGiY, iGiZ;
int vx,vy,vz;
 
void setup()
{
  Serial.begin(9600);
  Serial.println("__Reseteando__");
  Wire.begin();
  Wire.beginTransmission(MPU);
  Wire.write(0x6B);
  Wire.write(0);
  Wire.endTransmission(true);
  delay(500);
  leerDatos();
  iGiX=GiX;  iGiY=GiY;  iGiZ=GiZ;
  Serial.print("Valores iniciales");
  Serial.print(" X=");Serial.print(GiX);
  Serial.print(" Y=");Serial.print(GiY);
  Serial.print(" Z=");Serial.println(GiZ);
  Serial.println("___________________");

}


void loop()
{ 
 leerDatos();
 vz=GiZ-iGiZ; vz=vz>>8;
 vx=GiX-iGiX; vx=vx>>8;
 vy=GiY-iGiY; vy=vy>>8;
 
  Serial.print("n,"); Serial.print(vx); Serial.print(","); Serial.print(vy); Serial.print(","); Serial.print(vz);Serial.println(","); 
   delay(250); //Retardo entre muestras ,4 por segundo
}


void leerDatos()
{
   Wire.beginTransmission(MPU);
   Wire.write(0x3B); //Pedir el registro 0x3B - corresponde al GiX
   Wire.endTransmission(false);
   Wire.requestFrom(MPU,6,true); //A partir del 0x3B, se piden 6 registros
   GiX=Wire.read()<<8|Wire.read(); //Cada valor ocupa 2 registros
   GiY=Wire.read()<<8|Wire.read();
   GiZ=Wire.read()<<8|Wire.read();
}  
